﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using GalaSoft.MvvmLight;

namespace Scripni.Chess.Core
{
    /// <summary>
    /// The model for a chess game.
    /// </summary>
    public class Game : ObservableObject
    {
        public Game(Player white, Player black, Position startingPosition, GameTime gameTime)
        {
            
        }

        private GameState state;

        /// <summary>
        /// Gets the game's current state.
        /// </summary>
        public GameState State
        {
            get
            {
                return this.state;
            }
            private set
            {
                if (this.state != value)
                {
                    this.state = value;
                    RaisePropertyChanged(() => State);
                }
            }
        }

        public void Start()
        {

        }


        private readonly Player white;

        private readonly Player black;

        private readonly Position startingPosition;

        private readonly GameTime gameTime;
    }
}
